Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005832OCamlMiscpublic2012-11-17 21:352013-04-29 16:58
Reportersesquized 
Assigned Tofrisch 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSWindowsOS VersionVista 64
Product Version4.00.1 
Target VersionFixed in Version4.01.0+dev 
Summary0005832: patch to improve "wrong file naming" error messages
DescriptionThis patch changes the error message for this situation:

open List
let _ = LIST.env

 Instead of
File "test1.ml", line 1, characters 0-1:
Error: Wrong file naming: /usr/lib/ocaml/lIST.cmi
contains the compiled interface for
List

you get

File "test1.ml", line 1:
Error: Wrong file naming: c:\tools\Ocaml-cygwin\lib\ocaml/lIST.cmi
contains the compiled interface for
LIST when List was expected
TagsNo tags attached.
Attached Filespatch file icon RenamingError.patch [^] (8,914 bytes) 2012-11-17 21:35 [Show Content]

- Relationships

-  Notes
(0009231)
frisch (developer)
2013-04-29 16:58

Thanks for your patch. I've integrated it to the trunk (commit 13618). It will be part of the next release (OCaml 4.01).

- Issue History
Date Modified Username Field Change
2012-11-17 21:35 sesquized New Issue
2012-11-17 21:35 sesquized File Added: RenamingError.patch
2013-04-15 12:21 gasche Assigned To => gasche
2013-04-15 12:21 gasche Status new => assigned
2013-04-29 16:53 frisch Assigned To gasche => frisch
2013-04-29 16:58 frisch Note Added: 0009231
2013-04-29 16:58 frisch Status assigned => resolved
2013-04-29 16:58 frisch Fixed in Version => 4.01.0+dev
2013-04-29 16:58 frisch Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker